/******************************* REXX ****************************************
   NETSAMP.REX
   16-Apr-1998 10:35:30

   Purpose:  Provides a sample script for the AF/Operator-AF/Remote NETVIEW
             interface demonstration.  The MVS Console WTOR scanning script
             NETSCAN.REX must have been previously started (from either the
             AF/Remote REXX pulldown or by adding an AFR_START_PROGRAM line
             to the AUTOEXEC.REX script).

   Inputs:   A single digit in the range 1 through 8.  Will be used to find
             the console usage for the indexed 3270 emulator card.  See the
             sample program SUBFUNCT.REX (parameter 'En') for details.

   Outputs:  Value associated with environment label 'En_USE'.

 *****************************************************************************/

/* retrieve the name of the source program */
parse source name
program_name = substr(name,lastpos('\',name)+1)':'

say program_name "Started at" time() "on" date()

/* get parameters */
parse upper arg card .

/* exit if parameter invalid */
if card < '1' | card > '8' then do
   rc = 'Invalid Parameter'
   say program_name rc
   return rc
end

/* emulator parameter */
port = "E"||card||"_USE"
rc = 'AFR_GETENV'(port)
say program_name port':' rc
return rc