
/*************************** REXX *********************************************
   PeerNSvr.REX   - Peer Non-AF Server 
   26-SEP-2005

   Purpose:
      Skeleton/sample of a simple response script started by AF/Remote
      when a external non-AF peer initiates a conversation.

   See the other side of the conversation in the sample script: PeerNCli.rex	
 
 ******************************************************************************/

/* set some error detection signals */
signal on halt
signal on error


/*---------------------------------------------------------*/
/* Get the passed linkid even if it not used directly      */
/* The linkid parameter is implecit for all Afr_Peer_      */
/*                               functions in this script. */
/*---------------------------------------------------------*/
parse arg linkid
say "PeerNSvr.rex started"

/*---------------------------------------------------------*/
/* Don't call Afr_Peer_Open for peer started scripts       */
/* Always use 'USRDATA' for non-AF peer data types         */
/*---------------------------------------------------------*/
type = "USRDATA"


/* RECEIVE ------------------------------------------------*/
say "Reading data..."
ret = Afr_Peer_Rcv(,60)
if Length(ret) = 0 then
do
  say "afr_peer_rcv (Error) - rc =" Afr_Peer_GetLastError()
  exit(0)
end
say "afr_peer_rcv() received: "ret


/* SEND ---------------------------------------------------*/
say "Sending data..."
ret = Afr_Peer_Send(,type,"AF/Remote PeerNSvr.rex available")
if ret <> 0 then
do
  say "afr_peer_send Error - rc =" Afr_Peer_GetLastError()
  exit(0)
end
say "afr_peer_send() OK"




/* RECEIVE ------------------------------------------------*/
say "Reading data..."
ret = Afr_Peer_Rcv(,60)
if Length(ret) = 0 then
do
  say "afr_peer_rcv (Error) - rc =" Afr_Peer_GetLastError()
  exit(0)
end
say "afr_peer_rcv() received: "ret



/* CLOSE ---------------------------------------------------*/
Afr_Peer_Close();
say "done"
exit


/* Error detection handling --------------------------------*/
Halt:
say 'PeerNsvr.rex was halted'
/* Insert error handling code here */
EXIT

Error:
say 'PeerNsvr.rex terminated with an error'
/* Insert error handling code here */
EXIT
