/*
   SKELETON.REX
   16-Apr-1998 10:35:30

   Purpose: This script is provided as a starting point for a new rexx program
	    script for whatever purpose.  It suggests a way that a
	    REXX script might be organized, with some functionality provided
	    for graceful shutdown for certain types of errors encountered by
	    the REXX interpreter, or when shutdown is requested by the AF/REMOTE
	    client via the 'Halt' function of the REXX program
	    maintenance pull down.

*/


/* set some error detection signals */
signal on syntax
signal on halt
signal on novalue

/* Suggest initalized variables be done here */

/* retrieve the name of the source program */
parse source name
program_name = substr(name,lastpos('\',name)+1)':'
say 'Starting' program_name

/* retrieve the current version and level */
parse version ver
say 'Version =' ver

/* Main line program goes here */

/* pretty good idea to return a value to the caller */
return ' '

/* branch to this point if program halted from AF/REMOTE Client Scripts window */
halt:
   result = program_name 'Terminated by Operator'
   ret = 'AFR_ERROR'(result,0)
   say result
/* whatever else needs to be done to clean up after a shutdown */
   return 'N'

/* branch to this point if syntax error encountered or function call in error */
syntax:
   result = program_name 'Terminated for Syntax, Line' SIGL
   ret = 'AFR_ERROR'(result,1)
   say result
/* whatever else needs to be done to clean up after a syntax shutdown */
   return 'N'

/* branch to this point if novalue error encountered */
novalue:
   result = program_name 'Terminated for NoValue, Line' SIGL
   ret = 'AFR_ERROR'(result,1)
   say result
/* whatever else needs to be done to clean up after a No Value shutdown */
   return 'N'


/* subroutines, functions, procedures, ??? */
LogSay:
   text = arg(1)
   say time() program_name text
   x = afr_log(text)
   return 0
